Loading...
Searching...
No Matches
raviartthomasbasis.hh File Reference
`#include <array>`
`#include <dune/common/exceptions.hh>`
`#include <dune/grid/common/capabilities.hh>`
`#include <dune/grid/common/mcmgmapper.hh>`
`#include <dune/localfunctions/common/localfiniteelementvariant.hh>`
`#include <dune/localfunctions/raviartthomas.hh>`
`#include <dune/localfunctions/raviartthomas/raviartthomas0cube2d.hh>`
`#include <dune/localfunctions/raviartthomas/raviartthomas0cube3d.hh>`
`#include <dune/localfunctions/raviartthomas/raviartthomas02d.hh>`
`#include <dune/localfunctions/raviartthomas/raviartthomas03d.hh>`
`#include <dune/localfunctions/raviartthomas/raviartthomas1cube2d.hh>`
`#include <dune/localfunctions/raviartthomas/raviartthomas1cube3d.hh>`
`#include <dune/localfunctions/raviartthomas/raviartthomas12d.hh>`
`#include <dune/localfunctions/raviartthomas/raviartthomas2cube2d.hh>`
`#include <dune/functions/functionspacebases/globalvaluedlocalfiniteelement.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`
`#include <dune/functions/functionspacebases/defaultglobalbasis.hh>`
`#include <dune/functions/functionspacebases/leafprebasismappermixin.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::RaviartThomasPreBasis< GV, k >
class | Dune::Functions::RaviartThomasNode< GV, k >

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Typedefs

template<typename GV, int k>
using | Dune::Functions::RaviartThomasBasis = DefaultGlobalBasis<RaviartThomasPreBasis<GV, k> >
| Basis of a k-th-order Raviart Thomas finite element space.

## Functions

template<std::size_t k>
auto | Dune::Functions::BasisFactory::raviartThomas ()
| Create a pre-basis factory that can create a Raviart-Thomas pre-basis.